fr.enssat.BoulderDash.controllers

## Class LevelEditorController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.LevelEditorController

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class LevelEditorController
    extends java.lang.Object
    implements java.awt.event.ActionListener

LevelEditorController Manages the level editor controller.

Since:
  2015-06-19
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`LevelEditorController(LevelModel levelModel, NavigationBetweenViewController nav)` Class constructor'

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent event)` Handles the 'action performed' event
`LevelEditorView` `getLevelEditorView()` Gets the level editor view
`LevelModel` `getLevelModel()` Gets level model
`void` `setLevelEditorView(LevelEditorView levelEditorView)` Sets the level editor view

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelEditorController

    public LevelEditorController(LevelModel levelModel,
                         NavigationBetweenViewController nav)

Class constructor'

Parameters:
  `levelModel` - Level model

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

Handles the 'action performed' event

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`
Parameters:
  `event` - Action event

#### getLevelEditorView

    public LevelEditorView getLevelEditorView()

Gets the level editor view

Returns:
  Level editor view

#### getLevelModel

    public LevelModel getLevelModel()

Gets level model

Returns:
  Level model

#### setLevelEditorView

    public void setLevelEditorView(LevelEditorView levelEditorView)

Sets the level editor view

Parameters:
  `levelEditorView` - Level editor view